Merge remote-tracking branch 'origin/master' into credentials
[oweals/gnunet.git] / src / gns / test_gns_ipv6_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf `gnunet-config -c test_gns_lookup.conf -s PATHS -o GNUNET_HOME -f`
17 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
18 TEST_IP="dead::beef"
19 gnunet-arm -s -c test_gns_lookup.conf
20 gnunet-identity -C testego -c test_gns_lookup.conf
21 gnunet-namestore -p -z testego -a -n www -t AAAA -V $TEST_IP -e never -c test_gns_lookup.conf
22 RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.gnu -t AAAA -c test_gns_lookup.conf`
23 gnunet-namestore -z testego -d -n www -t AAAA -V $TEST_IP -e never -c test_gns_lookup.conf
24 gnunet-identity -D testego -c test_gns_lookup.conf
25 gnunet-arm -e -c test_gns_lookup.conf
26 rm -rf /tmp/test-gnunet-gns-peer-1/
27
28 if [ "$RES_IP" == "$TEST_IP" ]
29 then
30   exit 0
31 else
32   echo "Failed to resolve to proper IP, got $RES_IP."
33   exit 1
34 fi